JUCE: AlertWindow::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AlertWindow::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » windows

This abstract base class is implemented by LookAndFeel classes to provide alert-window drawing functionality. More...

`#include <juce_AlertWindow.h>`

Inheritance diagram for AlertWindow::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual AlertWindow * | createAlertWindow (const String &title, const String &message, const String &button1, const String &button2, const String &button3, MessageBoxIconType iconType, int numButtons, Component *associatedComponent)=0
virtual void | drawAlertBox (Graphics &, AlertWindow &, const Rectangle< int > &textArea, TextLayout &)=0
virtual int | getAlertBoxWindowFlags ()=0
virtual Array< int > | getWidthsForTextButtons (AlertWindow &, const Array< TextButton * > &)=0
virtual int | getAlertWindowButtonHeight ()=0
virtual Font | getAlertWindowTitleFont ()=0
virtual Font | getAlertWindowMessageFont ()=0
virtual Font | getAlertWindowFont ()=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide alert-window drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual AlertWindow::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ createAlertWindow()

virtual AlertWindow * AlertWindow::LookAndFeelMethods::createAlertWindow | ( | const String & | title,
|  | const String & | message,
|  | const String & | button1,
|  | const String & | button2,
|  | const String & | button3,
|  | MessageBoxIconType | iconType,
|  | int | numButtons,
|  | Component * | associatedComponent
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ drawAlertBox()

virtual void AlertWindow::LookAndFeelMethods::drawAlertBox | ( | Graphics & | ,
|  | AlertWindow & | ,
|  | const Rectangle< int > & | textArea,
|  | TextLayout & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getAlertBoxWindowFlags()

virtual int AlertWindow::LookAndFeelMethods::getAlertBoxWindowFlags | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getWidthsForTextButtons()

virtual Array< int > AlertWindow::LookAndFeelMethods::getWidthsForTextButtons | ( | AlertWindow & | ,
|  | const Array< TextButton * > & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ getAlertWindowButtonHeight()

virtual int AlertWindow::LookAndFeelMethods::getAlertWindowButtonHeight | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getAlertWindowTitleFont()

virtual Font AlertWindow::LookAndFeelMethods::getAlertWindowTitleFont | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getAlertWindowMessageFont()

virtual Font AlertWindow::LookAndFeelMethods::getAlertWindowMessageFont | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getAlertWindowFont()

virtual Font AlertWindow::LookAndFeelMethods::getAlertWindowFont | ( |  | ) |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_AlertWindow.h